ZITADEL Docs
APIsCore ResourcesV1Instance Objects

ListEvents

POST
/events/_search

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://loading/events/_search" \  -H "Content-Type: application/json" \  -d '{    "from": "2023-01-15T01:30:15.01Z"  }'
{
  "events": [
    {
      "editor": {
        "userId": "string",
        "displayName": "string",
        "service": "string"
      },
      "aggregate": {
        "id": "string",
        "type": {
          "type": "string",
          "localized": {
            "key": "string",
            "localizedMessage": "string"
          }
        },
        "resourceOwner": "string"
      },
      "sequence": 0,
      "creationDate": "2023-01-15T01:30:15.01Z",
      "payload": {
        "property1": {},
        "property2": {}
      },
      "type": {
        "type": "string",
        "localized": {
          "key": "string",
          "localizedMessage": "string"
        }
      }
    }
  ]
}

Was this page helpful?